org.apache.myfaces.trinidad.util

## Class URLEncoderWrapper

- java.lang.Object
- - org.apache.myfaces.trinidad.util.URLEncoder
  - - org.apache.myfaces.trinidad.util.URLEncoderWrapper

-     public abstract class URLEncoderWrapper
      extends URLEncoder

  Wrapper class for the URLEncoder that can be used to wrap and existing encoder and set it on the factory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLEncoderWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encodeActionURL(String url)` Encodes an action url.
    `String` | `encodeBookmarkableURL(String url, Map<String,List<String>> params)` Encodes a bookmarkable url.
    `String` | `encodeInProtocolResourceURL(String url)` Encodes a resource url that is meant to be in-protocol.
    `String` | `encodePartialActionURL(String url)` Encodes an action URL that is intended to represent a partial page submit.
    `String` | `encodeRedirectURL(String url)` Encodes a redirect url.
    `String` | `encodeRedirectURL(String url, Map<String,List<String>> params)` Encodes a redirect url.
    `String` | `encodeResourceURL(String url)` Encodes a resource url.
    `String` | `encodeSkinResourceURL(String url)` Encodes the URL of a Skin Resource.
    `abstract URLEncoder` | `getWrapped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLEncoderWrapper

          public URLEncoderWrapper()

  - ### Method Detail

    - #### getWrapped

          public abstract URLEncoder getWrapped()

    - #### encodeActionURL

          public String encodeActionURL(String url)

      Encodes an action url. By default this method calls into the wrapped encoder and executes the `URLEncoder.encodeActionURL(String)` method.
      Specified by:
        `encodeActionURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing the url to encode
      Returns:
        the encoded url

    - #### encodeResourceURL

          public String encodeResourceURL(String url)

      Encodes a resource url. By default this method calls into the wrapped encoder and executes the `URLEncoder.encodeResourceURL(String)` method.
      Specified by:
        `encodeResourceURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing the url to encode
      Returns:
        the encoded url

    - #### encodeInProtocolResourceURL

          public String encodeInProtocolResourceURL(String url)

      Encodes a resource url that is meant to be in-protocol. By default this method calls into the wrapped encoder and executes the `URLEncoder.encodeInProtocolResourceURL(String)` method.
      Specified by:
        `encodeInProtocolResourceURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing the url to encode
      Returns:
        the encoded url

    - #### encodePartialActionURL

          public String encodePartialActionURL(String url)

      Encodes an action URL that is intended to represent a partial page submit. By default, this method calls into the wrapped encoder and executes the `URLEncoder.encodePartialActionURL(String)` method.
      Specified by:
        `encodePartialActionURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing the url to encode
      Returns:
        the encoded url

    - #### encodeRedirectURL

          public String encodeRedirectURL(String url)

      Encodes a redirect url. By default this method calls into the wrapped encoder and executes the `URLEncoder.encodeRedirectURL(String)` method.
      Specified by:
        `encodeRedirectURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing the url to encode
      Returns:
        the encoded url

    - #### encodeRedirectURL

          public String encodeRedirectURL(String url,
                                 Map<String,List<String>> params)

      Encodes a redirect url. By default this method calls into the wrapped encoder and executes the `URLEncoder#encodeRedirectURL(String, Map>)` method.
      Overrides:
        `encodeRedirectURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing the url to encode
        `params` - a map containing additional params to add to the querystring
      Returns:
        the encoded url
      Throws:
        `UnsupportedOperationException` - if this method is not implemented or if this type of url cannot be encoded.
      Since:
        2.1
      See Also:
        `ExternalContext.encodeRedirectURL(java.lang.String, java.util.Map<java.lang.String, java.util.List<java.lang.String>>)`

    - #### encodeSkinResourceURL

          public String encodeSkinResourceURL(String url)

      Encodes the URL of a Skin Resource. By default this method calls into the wrapped encoder and executes the `URLEncoder.encodeSkinResourceURL(String)` method.
      Specified by:
        `encodeSkinResourceURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing additional params to add to the querystring.
      Returns:
        the encoded url

    - #### encodeBookmarkableURL

          public String encodeBookmarkableURL(String url,
                                     Map<String,List<String>> params)

      Encodes a bookmarkable url. By default this method calls into the wrapped encoder and executes the `URLEncoder#encodeBookmarkableURL(String,Map>)` method.
      Overrides:
        `encodeBookmarkableURL` in class `URLEncoder`
      Parameters:
        `url` - a string containing additional params to add to the querystring.
        `params` - a map of parameters
      Returns:
        the encoded url
      Throws:
        `UnsupportedOperationException` - if this method is not implemented or if this type of url cannot be encoded.
      Since:
        2.1

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.